<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:36:51 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
SSLClientIOEventDispatch (HttpCore NIO 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SSLClientIOEventDispatch (HttpCore NIO 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SSLClientIOEventDispatch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLClientIOEventDispatch.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.nio.DefaultClientIOEventDispatch">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.nio.ssl</FONT>
<BR>
Class SSLClientIOEventDispatch</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.AbstractIODispatch</A>&lt;<A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&gt;
      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.DefaultClientIOEventDispatch</A>
          <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.nio.ssl.SSLClientIOEventDispatch</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor">IOEventDispatch</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html" title="class in org.apache.http.impl.nio"><CODE>DefaultHttpClientIODispatch</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/Immutable.html?is-external=true" title="class or interface in org.apache.http.annotation">@Immutable</A>
</FONT>public class <B>SSLClientIOEventDispatch</B><DT>extends <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">DefaultClientIOEventDispatch</A></DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor"><CODE>IOEventDispatch</CODE></A> interface for SSL
 (encrypted) client-side HTTP connections.
 <p>
 The following parameters can be used to customize the behavior of this
 class:
 <ul>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#HTTP_ELEMENT_CHARSET" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.HTTP_ELEMENT_CHARSET</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_TIMEOUT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_TIMEOUT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SOCKET_BUFFER_SIZE" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SOCKET_BUFFER_SIZE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_HEADER_COUNT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_HEADER_COUNT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_LINE_LENGTH" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_LINE_LENGTH</CODE></A></li>
 </ul>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.1</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.impl.nio.DefaultClientIOEventDispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.impl.nio.<A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">DefaultClientIOEventDispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#allocator">allocator</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#handler">handler</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#params">params</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.nio.reactor.IOEventDispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.nio.reactor.<A HREF="../../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor">IOEventDispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOEventDispatch.html#CONNECTION_KEY">CONNECTION_KEY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch(org.apache.http.nio.NHttpClientHandler, javax.net.ssl.SSLContext, org.apache.http.params.HttpParams)">SSLClientIOEventDispatch</A></B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>&nbsp;handler,
                         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler using the given
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl"><CODE>SSLContext</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch(org.apache.http.nio.NHttpClientHandler, javax.net.ssl.SSLContext, org.apache.http.impl.nio.reactor.SSLSetupHandler, org.apache.http.params.HttpParams)">SSLClientIOEventDispatch</A></B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>&nbsp;handler,
                         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                         <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor">SSLSetupHandler</A>&nbsp;sslHandler,
                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler using the given
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl"><CODE>SSLContext</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></B>(<A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates an instance of <A HREF="../../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio"><CODE>DefaultNHttpClientConnection</CODE></A> based on the
 given <A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#createSSLConnection(org.apache.http.impl.nio.reactor.SSLIOSession)">createSSLConnection</A></B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">SSLIOSession</A>&nbsp;ssliosession)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">SSLIOSession</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#createSSLIOSession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLContext, org.apache.http.impl.nio.reactor.SSLSetupHandler)">createSSLIOSession</A></B>(<A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session,
                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                   <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor">SSLSetupHandler</A>&nbsp;sslHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates an instance of <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor"><CODE>SSLIOSession</CODE></A> decorating the given
 <A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#onConnected(org.apache.http.nio.NHttpClientIOTarget)">onConnected</A></B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.nio.DefaultClientIOEventDispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.nio.<A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">DefaultClientIOEventDispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#createByteBufferAllocator()">createByteBufferAllocator</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#createHttpResponseFactory()">createHttpResponseFactory</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onClosed(org.apache.http.nio.NHttpClientIOTarget)">onClosed</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onException(org.apache.http.nio.NHttpClientIOTarget, java.io.IOException)">onException</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onInputReady(org.apache.http.nio.NHttpClientIOTarget)">onInputReady</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onOutputReady(org.apache.http.nio.NHttpClientIOTarget)">onOutputReady</A>, <A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onTimeout(org.apache.http.nio.NHttpClientIOTarget)">onTimeout</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractIODispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.nio.reactor.<A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#connected(org.apache.http.nio.reactor.IOSession)">connected</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#disconnected(org.apache.http.nio.reactor.IOSession)">disconnected</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#inputReady(org.apache.http.nio.reactor.IOSession)">inputReady</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#outputReady(org.apache.http.nio.reactor.IOSession)">outputReady</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#timeout(org.apache.http.nio.reactor.IOSession)">timeout</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SSLClientIOEventDispatch(org.apache.http.nio.NHttpClientHandler, javax.net.ssl.SSLContext, org.apache.http.impl.nio.reactor.SSLSetupHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
SSLClientIOEventDispatch</H3>
<PRE>
public <B>SSLClientIOEventDispatch</B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>&nbsp;handler,
                                <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor">SSLSetupHandler</A>&nbsp;sslHandler,
                                <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler using the given
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl"><CODE>SSLContext</CODE></A>. This I/O dispatcher will transparently handle SSL
 protocol aspects for HTTP connections.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>handler</CODE> - the client protocol handler.<DD><CODE>sslcontext</CODE> - the SSL context.<DD><CODE>sslHandler</CODE> - the SSL setup handler.<DD><CODE>params</CODE> - HTTP parameters.</DL>
</DL>
<HR>

<A NAME="SSLClientIOEventDispatch(org.apache.http.nio.NHttpClientHandler, javax.net.ssl.SSLContext, org.apache.http.params.HttpParams)"><!-- --></A><H3>
SSLClientIOEventDispatch</H3>
<PRE>
public <B>SSLClientIOEventDispatch</B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>&nbsp;handler,
                                <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler using the given
 <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl"><CODE>SSLContext</CODE></A>. This I/O dispatcher will transparently handle SSL
 protocol aspects for HTTP connections.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>handler</CODE> - the client protocol handler.<DD><CODE>sslcontext</CODE> - the SSL context.<DD><CODE>params</CODE> - HTTP parameters.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createSSLIOSession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLContext, org.apache.http.impl.nio.reactor.SSLSetupHandler)"><!-- --></A><H3>
createSSLIOSession</H3>
<PRE>
protected <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">SSLIOSession</A> <B>createSSLIOSession</B>(<A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session,
                                          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                          <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLSetupHandler.html" title="interface in org.apache.http.impl.nio.reactor">SSLSetupHandler</A>&nbsp;sslHandler)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates an instance of <A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor"><CODE>SSLIOSession</CODE></A> decorating the given
 <A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.
 <p>
 This method can be overridden in a super class in order to provide
 a different implementation of SSL I/O session.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>session</CODE> - the underlying I/O session.<DD><CODE>sslcontext</CODE> - the SSL context.<DD><CODE>sslHandler</CODE> - the SSL setup handler.
<DT><B>Returns:</B><DD>newly created SSL I/O session.</DL>
</DD>
</DL>
<HR>

<A NAME="createSSLConnection(org.apache.http.impl.nio.reactor.SSLIOSession)"><!-- --></A><H3>
createSSLConnection</H3>
<PRE>
protected <A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A> <B>createSSLConnection</B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">SSLIOSession</A>&nbsp;ssliosession)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createConnection(org.apache.http.nio.reactor.IOSession)"><!-- --></A><H3>
createConnection</H3>
<PRE>
protected <A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A> <B>createConnection</B>(<A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from class: <CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">DefaultClientIOEventDispatch</A></CODE></B></DD>
<DD>Creates an instance of <A HREF="../../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio"><CODE>DefaultNHttpClientConnection</CODE></A> based on the
 given <A HREF="../../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.
 <p>
 This method can be overridden in a super class in order to provide
 a different implementation of the <A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio"><CODE>NHttpClientIOTarget</CODE></A> interface.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></CODE> in class <CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">DefaultClientIOEventDispatch</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>session</CODE> - the underlying I/O session.
<DT><B>Returns:</B><DD>newly created HTTP connection.</DL>
</DD>
</DL>
<HR>

<A NAME="onConnected(org.apache.http.nio.NHttpClientIOTarget)"><!-- --></A><H3>
onConnected</H3>
<PRE>
public void <B>onConnected</B>(<A HREF="../../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onConnected(org.apache.http.nio.NHttpClientIOTarget)">onConnected</A></CODE> in class <CODE><A HREF="../../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio">DefaultClientIOEventDispatch</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SSLClientIOEventDispatch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html" title="class in org.apache.http.impl.nio.ssl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLClientIOEventDispatch.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.nio.DefaultClientIOEventDispatch">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
